package org.fremo.fredl.test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

import java.util.concurrent.TimeUnit;

public class FredlTestHelper {
    private static int implicitTimeoutMilliseconds = 3000;
    private static WebDriver driver;

    public static void setUp(WebDriver _driver) {
        driver = _driver;
        driver.manage().timeouts().implicitlyWait(implicitTimeoutMilliseconds, TimeUnit.MILLISECONDS);
    }
    public static void printPageSource() {
        String body; // used for debugging purposes only

        body = driver.getPageSource();
        System.out.println("HTML: " + body);
    }

    public static boolean elementExistsByXpath(String xpath) {
        driver.manage().timeouts().implicitlyWait(0, TimeUnit.MILLISECONDS);
        boolean exists = driver.findElements(By.xpath(xpath)).size() != 0;
        driver.manage().timeouts().implicitlyWait(implicitTimeoutMilliseconds, TimeUnit.MILLISECONDS);
        return exists;
    }

    public static boolean elementExistsById(String id) {
        driver.manage().timeouts().implicitlyWait(0, TimeUnit.MILLISECONDS);
        boolean exists = driver.findElements(By.id(id)).size() != 0;
        driver.manage().timeouts().implicitlyWait(implicitTimeoutMilliseconds, TimeUnit.MILLISECONDS);
        return exists;
    }

}
